/**
 * Helper classes
 */

.visible-desktop {
	display: block;
}

.visible-mobile {
	display: none;
}

.visible-tablet {
	display: none;
}

.visible-tablet-s {
	display: none;
}

@media screen and (max-width: 980px) {
	.visible-desktop {
		display: none;
	}
	
	.visible-tablet {
		display: block;
	}
}

@media screen and (max-width: 767px) {
	.visible-tablet-s {
		display: block;
	}
}

@media screen and (max-width: 480px) {
	.visible-mobile {
		display: block;
	}
}

.clearfix::before,
.clearfix::after {
	display: table;
	line-height: 0;
	content: "";
}

.clearfix::after {
	clear: both;
}

.m-clearfix {
	display: flow-root;
}

.flow-root {
	display: flow-root;
}

.colored {
	color: var(--color-accent-light);
}

.decorative-font {
	text-transform: none;
	letter-spacing: 0;
	font-family: var(--font-decorative);
}

.intro-text {
	color: var(--color-white);
	font-size: 1.35rem;
	line-height: 1.5;
}

.small-font {
	line-height: 1.5em;
	font-size: var(--small-font);
}

.tiny-font {
	font-size: var(--tiny-font);
}

.text-left {
	text-align: left;
}

.text-right {
	text-align: right;
}

.text-centered {
	text-align: center;
}

.align_center {
	text-align: center;
}

.align_left {
	text-align: left;
}

.align_right {
	text-align: right;
}

img.align_left {
	float: left;
	margin-right: 30px;
	margin-bottom: 30px;
}

img.align_right {
	float: right;
	margin-left: 30px;
	margin-bottom: 30px;
}

@media screen and (max-width: 480px) {
	img.align_left,
	img.align_right {
		float: none;
		margin-left: 0;
		margin-right: 0;
	}
}

.text-2-col {
	column-count: 2;
	column-gap: var(--grid-gap);
}

.text-3-col {
	column-count: 3;
	column-gap: var(--grid-gap);
}

.text-small {
	font-size: 1rem;
	line-height: 1.563em;
}

.pre-wrap {
	white-space: pre-wrap;
}

.full-width {
	width: 100%;
}

.pull-left {
	float: left;
}

.pull-right {
	float: right;
}

.pull-none {
	float: none;
	text-align: center;
}

.invisible {
	visibility: hidden;
}

.visible {
	visibility: visible;
}

.show {
	display: block;
}

.hide {
	display: none ! important;
}

.overflow-hidden {
	overflow: hidden;
}

.is-fixed {
	position: fixed;
}

.relative {
	position: relative;
}

.fade {
	opacity: 0;
	transition: opacity 0.3s linear;
}

.fade.in {
	opacity: 1;
}

.flash {
	opacity: 1;
	animation: flash 500ms linear none normal;
}

@keyframes flash {
	0% {
		opacity: 1;
	}
	
	50% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

.rotate {
	position: relative;
	transform: rotateZ(0deg);
	transition: all var(--ease-base);
}

.rotate:hover {
	opacity: 0.5;
	transform: rotateZ(180deg);	
}

@keyframes rotate {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

@keyframes fade-in {
	from {opacity: 0;}
	to {opacity: 1;}
}

.image-rounded {
	border-radius: 600px;
}

.table-responsive {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    overflow-x: auto;
	margin-bottom: 30px;
}

.screen-reader {
	display: block;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	white-space: nowrap;
	overflow: hidden;
	clip: rect(1px, 1px, 1px, 1px);
	border: 0;
}

.screen-reader-focus:focus {
	width: auto;
	height: auto;
	padding: 10px 30px;
	clip: auto;
	z-index: 9999;
}

.horizontal-line {
    display: block;
    width: 20px;
    height: 1px;
    margin: 20px 0;
    border-bottom: 1px solid var(--color-light);
}

.to-slide.is-show {
	opacity: 1;
	transform: translateY(0px);
}

.to-slide {
	display: block;
	position: relative;
	opacity: 0;
	transform: translateY(50px);
	transition: all .5s ease .15s;
}

.preloader-spinner {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 50px;
	height: 50px;
	padding: 0;
	margin: -25px 0 0 -25px;
	z-index: 2001;
	border: 5px solid var(--color-white);
	border-right-color: var(--color-white-0);
	border-radius: 100%;
	animation: rotate 1s infinite var(--ease-expo-in-out) normal;
}

.preloader-spinner::after {
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	width: 36px;
	height: 36px;
	margin: -18px 0 0 -18px;
	border: 5px solid var(--color-link);
	border-right-color: var(--color-white-0);
	border-radius: 100%;
	animation: rotate 1s infinite var(--ease-expo-in-out) normal .2s;
}

/* hover decorators */
.line-hover {
	position: relative;
	transition: color .3s cubic-bezier(0, 0, 0.2, 1);
}

.line-hover::before,
.line-hover::after {
	content: "";
	position: absolute;
	right: 0;
	bottom: -4px;
	z-index: -1;
	display: block;
	width: 100%;
	height: 4px;
	border-bottom: 1px solid var(--color-black-20);
	transition: width .3s cubic-bezier(0, 0, 0.2, 1) .2s;
}

.line-hover::after,
.child-line-hover::after {
	width: 0%;
	right: auto;
	left: 0;
	border-color: var(--color-gray);
	transition-delay: 0s;
}

.line-hover:hover::before {
	width: 0%;
	transition-delay: 0s;
}

.line-hover:hover::after {
	width: 100%;
	transition-delay: .24s;
}

/* CSS3 icons */
.icon-close {
	position: relative;
	width: 40px;
	height: 40px;
	display: block;
	transform: rotate(-45deg);
	transition: all var(--ease-base);
}

.icon-close::before,
.icon-close::after {
	content: "";
	position: absolute;
	top: 19px;
	left: 0;
	width: 40px;
	height: 2px;
	background: var(--color-dark);
}

.icon-close-white::before,
.icon-close-white::after {
	background: var(--color-white);
}

.icon-close::after {
	top: 0;
	left: 19px;
	width: 2px;
	height: 40px;
}

.icon-arrow {
	position: relative;
	width: 24px;
	height: 24px;
}

.icon-arrow .arrow {
	fill: currentColor;
	transition: all var(--ease-base);
}

.icon-arrow .arrow-right {
	transform: translate(100px, 100px) rotate(180deg);
}

.icon-arrow .arrow-down {
	transform: translate(0px, 100px) rotate(-90deg);
}

.icon-arrow .arrow-up {
	transform: translate(100px, 0px) rotate(90deg);
}
